Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1785216 - [abrt] marco: INT_cairo_region_num_rectangles(): marco killed by SIGSEGV
Summary: [abrt] marco: INT_cairo_region_num_rectangles(): marco killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: marco
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f7b204616349200c660cfa76798...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-19 12:09 UTC by Peter Draganov
Modified: 2020-03-26 09:47 UTC (History)
2 users (show)

Fixed In Version: marco-1.22.4-2.fc31 marco-1.22.4-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-26 01:19:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (29.59 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: cgroup (331 bytes, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: core_backtrace (13.25 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: cpuinfo (1.08 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: dso_list (9.48 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: environ (4.12 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: exploitable (82 bytes, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: limits (1.29 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: maps (64.78 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: mountinfo (4.12 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: open_fds (1.52 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details
File: proc_pid_status (1.71 KB, text/plain)
2019-12-19 12:09 UTC, Peter Draganov
no flags Details

Description Peter Draganov 2019-12-19 12:09:05 UTC
Description of problem:
Started Java iKVM Viewer v1.69.25 and restarted corresponding server

Version-Release number of selected component:
marco-1.22.4-1.fc30

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 3
cmdline:        marco
crash_function: INT_cairo_region_num_rectangles
executable:     /usr/bin/marco
journald_cursor: s=5f707054fc564ab5ae2f7bb3db452475;i=38ef7;b=3425b34ce2cc41db8cbbd6f64e6ae2c2;m=d0e9877c;t=59a0d424854eb;x=6cf84c01aff345d5
kernel:         5.3.16-200.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 INT_cairo_region_num_rectangles at cairo-region.c:451
 #1 cairo_region_to_xserver_region at compositor/compositor-xrender.c:607
 #2 shadow_picture_clip at compositor/compositor-xrender.c:660
 #3 shadow_picture at compositor/compositor-xrender.c:713
 #4 win_extents at compositor/compositor-xrender.c:1109
 #5 resize_win at compositor/compositor-xrender.c:2308
 #6 process_configure_notify at compositor/compositor-xrender.c:2410
 #7 xrender_process_event at compositor/compositor-xrender.c:3081
 #8 event_callback at core/display.c:2614
 #9 filter_func at ui/ui.c:223

Comment 1 Peter Draganov 2019-12-19 12:09:10 UTC
Created attachment 1646445 [details]
File: backtrace

Comment 2 Peter Draganov 2019-12-19 12:09:11 UTC
Created attachment 1646446 [details]
File: cgroup

Comment 3 Peter Draganov 2019-12-19 12:09:13 UTC
Created attachment 1646447 [details]
File: core_backtrace

Comment 4 Peter Draganov 2019-12-19 12:09:14 UTC
Created attachment 1646449 [details]
File: cpuinfo

Comment 5 Peter Draganov 2019-12-19 12:09:16 UTC
Created attachment 1646450 [details]
File: dso_list

Comment 6 Peter Draganov 2019-12-19 12:09:18 UTC
Created attachment 1646452 [details]
File: environ

Comment 7 Peter Draganov 2019-12-19 12:09:19 UTC
Created attachment 1646453 [details]
File: exploitable

Comment 8 Peter Draganov 2019-12-19 12:09:21 UTC
Created attachment 1646455 [details]
File: limits

Comment 9 Peter Draganov 2019-12-19 12:09:23 UTC
Created attachment 1646456 [details]
File: maps

Comment 10 Peter Draganov 2019-12-19 12:09:24 UTC
Created attachment 1646458 [details]
File: mountinfo

Comment 11 Peter Draganov 2019-12-19 12:09:26 UTC
Created attachment 1646459 [details]
File: open_fds

Comment 12 Peter Draganov 2019-12-19 12:09:27 UTC
Created attachment 1646460 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2020-03-17 15:01:43 UTC
FEDORA-2020-d2704b9080 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d2704b9080

Comment 14 Fedora Update System 2020-03-17 15:01:46 UTC
FEDORA-2020-af2d5ccd0a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-af2d5ccd0a

Comment 15 Fedora Update System 2020-03-18 02:49:32 UTC
marco-1.22.4-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d2704b9080

Comment 16 Fedora Update System 2020-03-18 03:31:05 UTC
marco-1.22.4-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-af2d5ccd0a

Comment 17 Fedora Update System 2020-03-26 01:19:40 UTC
FEDORA-2020-d2704b9080 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-03-26 09:47:35 UTC
FEDORA-2020-af2d5ccd0a has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.